- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QGLScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 89 of file qglscreen_qws.h.

`#include <qglscreen_qws.h>`

Inheritance diagram for QGLScreen:
[legend]

List of all members.

## Public Types
enum | Option { NoOptions = 0, NativeWindows = 1, NativePixmaps = 2, NativeImages = 4, Overlays = 8 }
## Public Member Functions
| QGLScreen (int displayId)
virtual | ~QGLScreen ()
QGLScreen::Options | options () const
virtual bool | chooseContext (QGLContext *context, const QGLContext *shareContext)
virtual bool | hasOpenGL ()=0
QGLScreenSurfaceFunctions * | surfaceFunctions () const
## Protected Member Functions
void | setOptions (QGLScreen::Options value)
void | setSurfaceFunctions (QGLScreenSurfaceFunctions *functions)

## Member Enumeration Documentation

enum Option

Search for all occurrences

Enumerator:

  NoOptions | Search for all occurrences
  NativeWindows | Search for all occurrences
  NativePixmaps | Search for all occurrences
  NativeImages | Search for all occurrences
  Overlays | Search for all occurrences

Definition at line 96 of file qglscreen_qws.h.

        {
            NoOptions       = 0,
            NativeWindows   = 1,
            NativePixmaps   = 2,
            NativeImages    = 4,
            Overlays        = 8
        };

## Constructor & Destructor Documentation

QGLScreen | ( | int | displayId | ) |

virtual ~QGLScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

QGLScreen::Options options | ( |  | ) | const

Search for all occurrences

virtual bool chooseContext | ( | QGLContext * | context,
|  | const QGLContext * | shareContext
| ) |  | `[virtual]`

Search for all occurrences

virtual bool hasOpenGL | ( |  | ) | `[pure virtual]`

Search for all occurrences

QGLScreenSurfaceFunctions* surfaceFunctions | ( |  | ) | const

Search for all occurrences

void setOptions | ( | QGLScreen::Options | value | ) | `[protected]`

Search for all occurrences

void setSurfaceFunctions | ( | QGLScreenSurfaceFunctions * | functions | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtOpenGL/qglscreen_qws.h

QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen
QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen QGLScreen